org.eclipse.jgit.errors

## Class MissingObjectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.MissingObjectException

All Implemented Interfaces:
  Serializable

    public class MissingObjectException
    extends IOException

An expected object is missing.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MissingObjectException(AbbreviatedObjectId id, int type)` Construct a MissingObjectException for the specified object id.
`MissingObjectException(ObjectId id, int type)` Construct a MissingObjectException for the specified object id.
`MissingObjectException(ObjectId id, String type)` Construct a MissingObjectException for the specified object id.

### Method Summary

Methods
`ObjectId` `getObjectId()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MissingObjectException

    public MissingObjectException(ObjectId id,
                          String type)

Construct a MissingObjectException for the specified object id. Expected type is reported to simplify tracking down the problem.

Parameters:
  `id` - SHA-1
  `type` - object type

#### MissingObjectException

    public MissingObjectException(ObjectId id,
                          int type)

Construct a MissingObjectException for the specified object id. Expected type is reported to simplify tracking down the problem.

Parameters:
  `id` - SHA-1
  `type` - object type

#### MissingObjectException

    public MissingObjectException(AbbreviatedObjectId id,
                          int type)

Construct a MissingObjectException for the specified object id. Expected type is reported to simplify tracking down the problem.

Parameters:
  `id` - SHA-1
  `type` - object type

### Method Detail

#### getObjectId

    public ObjectId getObjectId()

Returns:
  the ObjectId that was not found.